Subject: Re: bug#21716: 25.0.50; highlight-regexp gets confused when the highlighted text is pasted

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Oct 2015 18:22:05 +0300

> From: Dima Kogan <[email-masked]>
> Date: Mon, 19 Oct 2015 23:13:19 -0700
> 
> 1. emacs -Q
> 
> 2. open or type a tiny .c source file such as:
> =====================
> int main(void)
> {
> 
> }
> =====================
> 
> 3. mark 'main' and M-w
> 
> 4. highlight 'main': M-s h r main, accept default face
> 
> 5. yank on the empty line between {}. I expect the yanked text 'main' to
> be highlighted. Instead I sometimes see "mai" being highlighted but not
> the "n"; at other times I see nothing highlighted, but "mai" being
> rendered with a different face than the "n". In any case, it's never
> highlighted correctly.

What I see here is that the moment 'main' becomes a complete C symbol,
like if I type a ';' or a '(' after yanking it, "main" becomes
highlighted exactly as expected.  So maybe this is a feature?

I do see that Emacs 24.5 highlighted "main" as soon as it was yanked,
so this is at least a change in behavior.